Skip to main content
POST
/
api
/
v1
/
wallet
/
balance
/
payin
/
quote
Get cross-chain payin quote
curl --request POST \
  --url https://api.hevn.finance/api/v1/wallet/balance/payin/quote \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "currency": "<string>"
}
'
{
  "quoteId": "<string>",
  "paymentChannel": "<string>",
  "fromAmount": 123,
  "fromCurrency": "<string>",
  "toAmount": 123,
  "toCurrency": "<string>",
  "provider": "<string>",
  "depositMemo": "<string>",
  "feeAmount": 123,
  "feeCurrency": "<string>",
  "rate": 123,
  "expiresAt": "2023-11-07T05:31:56Z",
  "maskedIban": "<string>",
  "depositAddress": "<string>",
  "recipientAddress": "<string>",
  "originChainId": "<string>",
  "destinationChainId": "<string>",
  "transactionRequest": {}
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-key
string | null

Body

application/json

Request for cross-chain payin quote.

currency
string
required
originChainId
enum<string>
required

1click chain codes.

Available options:
eth,
bsc,
avax,
op,
arb,
pol,
sol,
base,
gnosis,
tron,
xrp,
zec,
doge,
ltc,
btc,
cardano,
bera,
sui,
near,
near_intents,
xlayer,
plasma,
ton,
stellar,
monad,
starknet,
aptos,
adi,
bch
amount
number | null
swapType
enum<string>
default:FLEX_INPUT

Type of swap quote.

Available options:
EXACT_INPUT,
EXACT_OUTPUT,
FLEX_INPUT,
ANY_INPUT

Response

Successful Response

Universal quote response.

quoteId
string
required
paymentChannel
string
required
fromAmount
number
required
fromCurrency
string
required
toAmount
number
required
toCurrency
string
required
provider
string | null
depositMemo
string | null
feeAmount
number | null
feeCurrency
string | null
rate
number | null
expiresAt
string<date-time> | null
maskedIban
string | null
depositAddress
string | null
recipientAddress
string | null
originChainId
string | null
destinationChainId
string | null
transactionRequest
Transactionrequest · object